stat.t2 {sma} | R Documentation

## Two-sample t-statistics

### Description

Computes two-sample t-statistics for each gene in a multi-slide microarray experiment.

### Usage

    stat.t2(X, cl, x.ratio=FALSE, var.equal=TRUE, ...)

### Arguments

`X`

if x.ratio=F, X is a list containing two components. The first component is a matrix of log intensity ratios M=log_2 (R/G) and the second component is the average log intensities A = log_2(R*G)/2, such as the output from `stat.ma`. If x.ratio=T, X is a matrix of log expression ratios only. The rows of X correspond to genes and columns correspond to different hybridizations, that is different slides.

`cl` | vector of class labels. Must consist of integers 1 and 2.
`x.ratio` | logical flag: if TRUE, the matrix X contains only log intensity ratios, if FALSE, X is a list containing two components. The first component is a matrix of log expression ratios and the second component contains average log intensities A.
`var.equal` | logical flag: if TRUE, the variances of the class 1 and class 2 parent populations are assumed equal.
`...` | other parameters used in `t.test`.

### Value

List containing the following components

`t` | the two-sample t-statistic for each gene;
`Num` | the numerator of the t-statistic for each gene, with names attribute "Num";
`Denominator` | the denominator of the t-statistic for each gene, with names attribute "Den";
`n1` | number of class 1 observations used to calculate the t-statistic for each gene;
`n2` | number of class 2 observations used to calculate the t-statistics for each gene;
`Average A` | if x.ratio=F, the average across all hybridizations of A = log_2(R*G)/2, with names attribute "A.bar", if x.ratio=T, NULL is returned.

### Note

`t2stat.func` is called by `stat.t2` and is not typically used on its own.

### Author(s)

Sandrine Dudoit, sandrine@stat.berkeley.edu
Yee Hwa Yang, yeehwa@stat.berkeley.edu

### References

D. Freedman, R. Pisani, and R. Purves. (1998). Statistics, 3rd ed. NewYork: W.W. Norton.

### See Also

`t2stat.func`, `plot.t2`, `plot.qq`, `t.test`.

### Examples

    data(MouseArray)
    ## mouse.setup <- init.grid()
    ## mouse.data <- init.data() ## see \emph{init.data}
    ## mouse.lratio <- stat.ma(mouse.data, mouse.setup)
    cl <- c(rep(1,3), rep(2,3))
    mouse.t2 <- stat.t2(mouse.lratio, cl)

[Package sma version 0.5.14 Index]